*** ./src/backend/utils/adt/formatting.c.orig	Sat Dec 23 10:00:29 2000
--- ./src/backend/utils/adt/formatting.c	Fri Jan 12 17:06:44 2001
***************
*** 2933,2941 ****
  # elif defined(HAVE_INT_TIMEZONE)
  
  #  ifdef __CYGWIN__
! 		tz = (tm->tm_isdst ? (_timezone - 3600) : _timezone);
  #  else
! 		tz = (tm->tm_isdst ? (timezone - 3600) : timezone);
  #  endif
  
  # endif
--- 2933,2941 ----
  # elif defined(HAVE_INT_TIMEZONE)
  
  #  ifdef __CYGWIN__
! 		tz = ((tm->tm_isdst > 0) ? (_timezone - 3600) : _timezone);
  #  else
! 		tz = ((tm->tm_isdst > 0) ? (timezone - 3600) : timezone);
  #  endif
  
  # endif
*** ./src/backend/utils/adt/nabstime.c.orig	Sun Dec 10 10:00:26 2000
--- ./src/backend/utils/adt/nabstime.c	Fri Jan 12 17:08:32 2001
***************
*** 162,170 ****
  		CDayLight = tm->tm_isdst;
  		CTimeZone =
  # ifdef __CYGWIN__
! 			(tm->tm_isdst ? (_timezone - 3600) : _timezone);
  # else
! 			(tm->tm_isdst ? (timezone - 3600) : timezone);
  # endif
  		strcpy(CTZName, tzname[tm->tm_isdst]);
  #else /* neither HAVE_TM_ZONE nor HAVE_INT_TIMEZONE */
--- 162,170 ----
  		CDayLight = tm->tm_isdst;
  		CTimeZone =
  # ifdef __CYGWIN__
! 			((tm->tm_isdst > 0) ? (_timezone - 3600) : _timezone);
  # else
! 			((tm->tm_isdst > 0) ? (timezone - 3600) : timezone);
  # endif
  		strcpy(CTZName, tzname[tm->tm_isdst]);
  #else /* neither HAVE_TM_ZONE nor HAVE_INT_TIMEZONE */
***************
*** 245,253 ****
  # elif defined(HAVE_INT_TIMEZONE)
  	if (tzp != NULL)
  #  ifdef __CYGWIN__
! 		*tzp = (tm->tm_isdst ? (_timezone - 3600) : _timezone);
  #  else
! 		*tzp = (tm->tm_isdst ? (timezone - 3600) : timezone);
  #  endif
  	if (tzn != NULL)
  	{
--- 245,253 ----
  # elif defined(HAVE_INT_TIMEZONE)
  	if (tzp != NULL)
  #  ifdef __CYGWIN__
! 		*tzp = ((tm->tm_isdst > 0) ? (_timezone - 3600) : _timezone);
  #  else
! 		*tzp = ((tm->tm_isdst > 0) ? (timezone - 3600) : timezone);
  #  endif
  	if (tzn != NULL)
  	{
*** ./src/backend/utils/adt/timestamp.c.orig	Thu Jan  4 10:00:12 2001
--- ./src/backend/utils/adt/timestamp.c	Fri Jan 12 17:56:20 2001
***************
*** 341,349 ****
  				*tzn = (char *) tm->tm_zone;
  # elif defined(HAVE_INT_TIMEZONE)
  #  ifdef __CYGWIN__
! 			*tzp = (tm->tm_isdst ? (_timezone - 3600) : _timezone);
  #  else
! 			*tzp = (tm->tm_isdst ? (timezone - 3600) : timezone);
  #  endif
  			if (tzn != NULL)
  				*tzn = tzname[(tm->tm_isdst > 0)];
--- 341,349 ----
  				*tzn = (char *) tm->tm_zone;
  # elif defined(HAVE_INT_TIMEZONE)
  #  ifdef __CYGWIN__
! 			*tzp = ((tm->tm_isdst > 0) ? (_timezone - 3600) : _timezone);
  #  else
! 			*tzp = ((tm->tm_isdst > 0)  ? (timezone - 3600) : timezone);
  #  endif
  			if (tzn != NULL)
  				*tzn = tzname[(tm->tm_isdst > 0)];
***************
*** 1086,1094 ****
  # elif defined(HAVE_INT_TIMEZONE)
  
  #  ifdef __CYGWIN__
! 					tz = (tm->tm_isdst ? (_timezone - 3600) : _timezone);
  #  else
! 					tz = (tm->tm_isdst ? (timezone - 3600) : timezone);
  #  endif
  
  # endif
--- 1093,1101 ----
  # elif defined(HAVE_INT_TIMEZONE)
  
  #  ifdef __CYGWIN__
! 					tz = ((tm->tm_isdst > 0) ? (_timezone - 3600) : _timezone);
  #  else
! 					tz = ((tm->tm_isdst > 0) ? (timezone - 3600) : timezone);
  #  endif
  
  # endif
***************
*** 1735,1743 ****
  # elif defined(HAVE_INT_TIMEZONE)
  
  #  ifdef __CYGWIN__
! 				tz = (tm->tm_isdst ? (_timezone - 3600) : _timezone);
  #  else
! 				tz = (tm->tm_isdst ? (timezone - 3600) : timezone);
  #  endif
  
  # endif
--- 1742,1750 ----
  # elif defined(HAVE_INT_TIMEZONE)
  
  #  ifdef __CYGWIN__
! 				tz = ((tm->tm_isdst > 0) ? (_timezone - 3600) : _timezone);
  #  else
! 				tz = ((tm->tm_isdst > 0) ? (timezone - 3600) : timezone);
  #  endif
  
  # endif
*** ./src/test/regress/expected/horology-1947-PDT.out.orig	Mon Dec  4 10:00:26 2000
--- ./src/test/regress/expected/horology-1947-PDT.out	Wed Jan 17 11:06:08 2001
***************
*** 983,991 ****
       | Wed Mar 15 08:14:01 2000 PST | @ 34 years                    | Tue Mar 15 08:14:01 1966 PST
       | Sun Dec 31 17:32:01 2000 PST | @ 34 years                    | Sat Dec 31 17:32:01 1966 PST
       | Mon Jan 01 17:32:01 2001 PST | @ 34 years                    | Sun Jan 01 17:32:01 1967 PST
!      | epoch                        | @ 5 mons 12 hours             | Thu Jul 31 04:00:00 1969 PDT
!      | epoch                        | @ 5 mons                      | Thu Jul 31 16:00:00 1969 PDT
!      | epoch                        | @ 3 mons                      | Tue Sep 30 16:00:00 1969 PDT
       | epoch                        | @ 10 days                     | Sun Dec 21 16:00:00 1969 PST
       | epoch                        | @ 1 day 2 hours 3 mins 4 secs | Tue Dec 30 13:56:56 1969 PST
       | epoch                        | @ 5 hours                     | Wed Dec 31 11:00:00 1969 PST
--- 983,991 ----
       | Wed Mar 15 08:14:01 2000 PST | @ 34 years                    | Tue Mar 15 08:14:01 1966 PST
       | Sun Dec 31 17:32:01 2000 PST | @ 34 years                    | Sat Dec 31 17:32:01 1966 PST
       | Mon Jan 01 17:32:01 2001 PST | @ 34 years                    | Sun Jan 01 17:32:01 1967 PST
!      | epoch                        | @ 5 mons 12 hours             | Thu Jul 31 05:00:00 1969 PDT
!      | epoch                        | @ 5 mons                      | Thu Jul 31 17:00:00 1969 PDT
!      | epoch                        | @ 3 mons                      | Tue Sep 30 17:00:00 1969 PDT
       | epoch                        | @ 10 days                     | Sun Dec 21 16:00:00 1969 PST
       | epoch                        | @ 1 day 2 hours 3 mins 4 secs | Tue Dec 30 13:56:56 1969 PST
       | epoch                        | @ 5 hours                     | Wed Dec 31 11:00:00 1969 PST
